> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hlofiys.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a seat in the hall

> Retrieves the details for a single seat within a specific hall by its unique identifier.
This is a public endpoint and does not require authentication.




## OpenAPI

````yaml api-reference/openapi.json get /api/halls/{hall_id}/seats/{seat_id}
openapi: 3.0.0
info:
  title: Tandem IT API
  version: 1.0.0
  description: API for tandem it backend
servers:
  - url: https://tandem.hlofiys.xyz
    description: Production server
security: []
tags:
  - name: Documentation
    description: API documentation endpoint
paths:
  /api/halls/{hall_id}/seats/{seat_id}:
    parameters:
      - name: hall_id
        in: path
        required: true
        schema:
          type: integer
          format: int64
      - name: seat_id
        in: path
        required: true
        schema:
          type: integer
          format: int64
    get:
      tags:
        - Seats
      summary: Returns a seat in the hall
      description: >
        Retrieves the details for a single seat within a specific hall by its
        unique identifier.

        This is a public endpoint and does not require authentication.
      operationId: getSeatById
      responses:
        '200':
          description: >-
            Successful response. Contains complete information about the seat
            corresponding to the specified ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Seat'
        '404':
          description: The seat with the specified ID was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Seat:
      type: object
      required:
        - seat_id
        - row_label
        - seat_label
        - x_coordinate
        - y_coordinate
        - seat_type_id
        - hall_id
      properties:
        seat_id:
          type: integer
          format: int64
          description: Unique seat ID
        row_label:
          type: string
          description: Row label (e.g. '1', 'A', 'Parterre')
          example: '12'
        seat_label:
          type: string
          description: Place label in a row (for example, '5', '10', 'VIP 1')
          example: '7'
        x_coordinate:
          type: number
          format: double
          description: X coordinate to display on the diagram
          default: 0
        y_coordinate:
          type: number
          format: double
          description: Y coordinate to display on the diagram
          default: 0
        seat_type_id:
          type: integer
          format: int64
          description: Unique seat type ID
        hall_id:
          type: integer
          format: int64
          description: Unique hall ID
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string

````